Bug 460644 - radeon modesetting fails to display
radeon modesetting fails to display
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-29 08:53 EDT by Josh Boyer
Modified: 2008-10-14 09:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 09:10:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log file (27.47 KB, text/plain)
2008-09-02 06:37 EDT, Adam Tkac
no flags Details
Xorg log from boot with nomodeset on 2.6.27-0.305.rc5.git6.fc10.i686 (188.43 KB, application/octet-stream)
2008-09-09 07:27 EDT, Josh Boyer
no flags Details

  None (edit)
Description Josh Boyer 2008-08-29 08:53:42 EDT
Description of problem:

On my thinkpad z60m the -rc4 kernels do not turn on the display.  There is a brief moment of random garbage, and then the screen is blank.

Version-Release number of selected component (if applicable):

kernel-2.6.27-0.287.rc4.git7.fc10.i686

How reproducible:

Always

Steps to Reproduce:
1. Install
2. Boot
3. See nothing
  
Actual results:

Nothing displayed

Expected results:

Maybe a working display.  Maybe.  

Additional info:

I think this is due to the kernel modesetting stuff for radeon.  The card is a:

01:00.0 VGA compatible controller: ATI Technologies Inc M24 1P [Radeon Mobility X600]

The following is in syslog after boot of a bad kernel:

Aug 29 08:12:15 vader kernel: [drm] Initialized drm 1.1.0 20060810
Aug 29 08:12:15 vader kernel: pci 0000:01:00.0: power state changed by ACPI to D0
Aug 29 08:12:15 vader kernel: pci 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
Aug 29 08:12:15 vader kernel: [drm] Detected VRAM RAM=131072K, accessible=131072K, BAR=131072K
Aug 29 08:12:15 vader kernel: [drm] DFP table revision: 4
Aug 29 08:12:15 vader kernel: [drm] Panel ID String: IBM
Aug 29 08:12:15 vader kernel: [drm] Panel Size 1680x1050
Aug 29 08:12:15 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:12:15 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:12:15 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:12:15 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Aug 29 08:12:15 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:12:15 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:12:15 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:12:15 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Aug 29 08:12:15 vader kernel: allocated f6a72060 1680x1050 fb: 0x00018000, bo f6ed3850
Aug 29 08:12:15 vader kernel: fbcon: radeondrmfb (fb0) is primary device
Aug 29 08:12:15 vader kernel: Console: switching to colour frame buffer device 210x65
Aug 29 08:12:15 vader kernel: [drm] LVDS-11: set mode 1680x1050 d
Aug 29 08:12:15 vader kernel: fb0: radeondrmfb frame buffer device
Aug 29 08:12:15 vader kernel: registered panic notifier
Aug 29 08:12:15 vader kernel: [drm] Loading R300 Microcode
Aug 29 08:12:15 vader kernel: [drm] Num pipes: 1
Aug 29 08:12:15 vader kernel: [drm] writeback test succeeded in 1 usecs
Aug 29 08:12:15 vader kernel: [drm] Initialized radeon 1.29.0 20080528 on minor 0
Aug 29 08:14:23 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:23 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:24 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:24 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Aug 29 08:14:24 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:24 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Aug 29 08:14:24 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:24 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:24 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:24 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:24 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:24 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Aug 29 08:14:24 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:24 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Aug 29 08:14:25 vader kernel: [drm:radeon_mem_init_heap] *ERROR* heap already initialized?<4>mtrr: base(0xc9c7f000) is not aligned on a size(0xac5000) boundary
Aug 29 08:14:40 vader kernel: [drm:radeon_mem_init_heap] *ERROR* heap already initialized?<6>i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:40 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:40 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:40 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:40 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:40 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Aug 29 08:14:40 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:41 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data

Aug 29 08:14:44 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:44 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:44 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:44 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:44 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:44 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Aug 29 08:14:44 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:44 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Aug 29 08:14:44 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:44 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:45 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:45 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:45 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:45 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Aug 29 08:14:45 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:45 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Aug 29 08:14:45 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:45 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:45 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:45 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:45 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:45 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data

Aug 29 08:14:48 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:48 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:48 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:48 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:48 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:48 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Aug 29 08:14:48 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:49 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data

Aug 29 08:14:49 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:49 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:49 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:49 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:50 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:50 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Aug 29 08:14:50 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:50 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Aug 29 08:14:50 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:50 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:50 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:50 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:50 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:50 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Aug 29 08:14:50 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:50 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data

Aug 29 08:14:52 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:52 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:52 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:53 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:53 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:53 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Aug 29 08:14:53 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:53 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Aug 29 08:14:53 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:53 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:53 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:53 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:53 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:53 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Aug 29 08:14:53 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:53 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data

Aug 29 08:14:55 vader kernel: [drm:radeon_mem_init_heap] *ERROR* heap already initialized?<6>i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:55 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:55 vader kernel: i2c-adapter i2c-0: unable to read EDID block.
Aug 29 08:14:55 vader kernel: pci 0000:01:00.0: VGA-1: no EDID data
Aug 29 08:14:55 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:55 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Aug 29 08:14:55 vader kernel: i2c-adapter i2c-1: unable to read EDID block.
Aug 29 08:14:55 vader kernel: pci 0000:01:00.0: DVI-I-1: no EDID data
Comment 1 Josh Boyer 2008-08-29 08:59:36 EDT
Just an additional note, but I get other weirdness on a G5 with a radeon card as well.  The virtual terminals display garbage, and while gdm comes up I can't actually login
Comment 2 Adam Tkac 2008-09-02 06:33:56 EDT
I have same problems with

01:00.0 VGA compatible controller: ATI Technologies Inc RV516 [Radeon X1300/X1550 Series]

I'm using fluxbox and panel is not displayed. Older kernel (2.6.27-0.254.rc3.fc10.x86_64 in my case) works fine.
Comment 3 Adam Tkac 2008-09-02 06:37:00 EDT
Created attachment 315525 [details]
X log file

I can give you access to test machine. You can mail/ping me if you are interested.
Comment 4 Josh Boyer 2008-09-05 08:10:32 EDT
I did the following with:

[jwboyer@vader ~]$ uname -a
Linux vader.jdub.homelinux.org 2.6.27-0.297.rc5.git2.fc10.i686 #1 SMP Tue Sep 2 11:19:36 EDT 2008 i686 i686 i386 GNU/Linux

1) boot with nomodeset
2) go to runlevel 3
3) rmmod radeon drm
4) modprobe drm debug=1
5) modprobe radeon modeset=1

I still get initial funky rainbow blocks on the screen, and then it goes blank.  Here is the dmesg output:

[drm] Module unloaded
[drm] Initialized drm 1.1.0 20060810
[drm:drm_init] 
[drm:drm_get_dev] 
pci 0000:01:00.0: setting latency timer to 64
[drm:drm_get_minor] 
[drm:drm_get_minor] new minor assigned 64
[drm:drm_get_minor] 
[drm:drm_get_minor] new minor assigned 0
[drm:radeon_driver_load] PCIE card detected
[drm:drm_addmap_core] offset = 0xb0100000, size = 0x00010000, type = 1
[drm:radeon_get_bios] COMBIOS detected
[drm:radeon_get_vram_type] RAM width 128 bits DDR
[drm:radeon_set_dynamic_clock] Dynamic Clock Scaling Enabled
[drm] Detected VRAM RAM=131072K, accessible=131072K, BAR=131072K
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000004010031, Old flags 0x00000000010100a0
[drm:radeon_gart_init] pcie table bo created f6e98460, 10000
[drm:radeon_set_pciegart] programming pcie D0000000 C8010000 02000000
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010031, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010033, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:radeon_alloc_gart_objects] Ring ptr f6e988c0 mapped at 0 f8cd0000, read ptr f6e99810 maped at 1048576 f889f000
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010033, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:radeon_gem_dma_bufs_init] 
[drm:radeon_gem_addbufs] count:      16
[drm:radeon_gem_addbufs] order:      16
[drm:radeon_gem_addbufs] size:       65536
[drm:radeon_gem_addbufs] agp_offset: 2101248
[drm:radeon_gem_addbufs] alignment:  65536
[drm:radeon_gem_addbufs] page_order: 4
[drm:radeon_gem_addbufs] total:      65536
[drm:radeon_gem_addbufs] buffer 0 @ 00201000
[drm:radeon_gem_addbufs] buffer 1 @ 00211000
[drm:radeon_gem_addbufs] buffer 2 @ 00221000
[drm:radeon_gem_addbufs] buffer 3 @ 00231000
[drm:radeon_gem_addbufs] buffer 4 @ 00241000
[drm:radeon_gem_addbufs] buffer 5 @ 00251000
[drm:radeon_gem_addbufs] buffer 6 @ 00261000
[drm:radeon_gem_addbufs] buffer 7 @ 00271000
[drm:radeon_gem_addbufs] buffer 8 @ 00281000
[drm:radeon_gem_addbufs] buffer 9 @ 00291000
[drm:radeon_gem_addbufs] buffer 10 @ 002a1000
[drm:radeon_gem_addbufs] buffer 11 @ 002b1000
[drm:radeon_gem_addbufs] buffer 12 @ 002c1000
[drm:radeon_gem_addbufs] buffer 13 @ 002d1000
[drm:radeon_gem_addbufs] buffer 14 @ 002e1000
[drm:radeon_gem_addbufs] buffer 15 @ 002f1000
[drm:radeon_gem_addbufs] byte_count: 1048576
[drm:radeon_gem_addbufs] dma->buf_count : 16
[drm:radeon_gem_addbufs] entry->buf_count : 16
[drm:radeon_gem_dma_bufs_init] 100000 1048576
[drm:radeon_get_legacy_connector_info_from_bios] 
[drm:radeon_get_legacy_connector_info_from_bios] LCD DDC Info Table found!
[drm:radeon_get_legacy_connector_info_from_bios] BIOS Connector table
[drm:radeon_get_legacy_connector_info_from_bios] Port 0: ddc_type 0x60, dac_type 1, tmds_type 1, connector type 1, hpd_mask 0
[drm:radeon_get_legacy_connector_info_from_bios] Port 1: ddc_type 0x64, dac_type 1, tmds_type 1, connector type 2, hpd_mask 0
[drm:radeon_get_legacy_connector_info_from_bios] Port 4: ddc_type 0x1b0, dac_type 0, tmds_type 0, connector type 7, hpd_mask 0
[drm:radeon_get_legacy_connector_info_from_bios] Port 5: ddc_type 0x0, dac_type 2, tmds_type 0, connector type 14, hpd_mask 0
[drm:drm_sysfs_connector_add] adding "VGA-1" to sysfs
[drm:drm_sysfs_hotplug_event] generating hotplug event
[drm:radeon_encoder_legacy_primary_dac_add] 
[drm:drm_sysfs_connector_add] adding "DVI-I-1" to sysfs
[drm:drm_sysfs_hotplug_event] generating hotplug event
[drm:radeon_encoder_legacy_primary_dac_add] 
[drm:radeon_encoder_legacy_tmds_int_add] 
[drm] DFP table revision: 4
[drm:drm_sysfs_connector_add] adding "LVDS-1" to sysfs
[drm:drm_sysfs_hotplug_event] generating hotplug event
[drm:radeon_encoder_legacy_lvds_add] 
[drm] Panel ID String: IBM                     
[drm] Panel Size 1680x1050
i2c-adapter i2c-1: unable to read EDID block.
pci 0000:01:00.0: VGA-1: no EDID data
i2c-adapter i2c-2: unable to read EDID block.
pci 0000:01:00.0: DVI-I-1: no EDID data
[drm:drm_helper_plugged_event] 
[drm:drm_helper_probe_single_connector_modes] VGA-1
i2c-adapter i2c-1: unable to read EDID block.
pci 0000:01:00.0: VGA-1: no EDID data
[drm:drm_helper_probe_single_connector_modes] VGA-1 is disconnected
[drm:drm_helper_probe_single_connector_modes] DVI-I-1
i2c-adapter i2c-2: unable to read EDID block.
pci 0000:01:00.0: DVI-I-1: no EDID data
[drm:drm_helper_probe_single_connector_modes] DVI-I-1 is disconnected
[drm:drm_helper_probe_single_connector_modes] LVDS-1
[drm:drm_helper_probe_single_connector_modes] Probed modes for LVDS-1
[drm:drm_mode_debug_printmodeline] Modeline 13:"1680x1050" 60107 122000 1680 1712 1776 1904 1050 1051 1054 1066 0x48 0xa
[drm:drm_mode_debug_printmodeline] Modeline 14:"1680x1050" 50091 101670 1680 1712 1776 1904 1050 1051 1054 1066 0x40 0xa
[drm:radeonfb_probe] 
[drm:radeonfb_single_fb_probe] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000004010027, Old flags 0x00000000010100a0
[drm:radeon_gem_object_alloc] eaf76000 : size 0x6bb000, alignment 1, initial_domain 4
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000004010027, Old flags 0x0000000004010027
[drm:radeonfb_create] fb depth is 24
[drm:radeonfb_create]    pitch is 6720
allocated f11a40c0 1680x1050 fb: 0x00018000, bo eae632a0
fbcon: radeondrmfb (fb0) is primary device
[drm:radeonfb_set_par] 1680 -1
Console: switching to colour frame buffer device 210x65
[drm:drm_crtc_helper_set_config] 
[drm:drm_crtc_helper_set_config] crtc: eadf6a70 3 fb: f1c53780 connectors: eadf6eb0 num_connectors: 1 (x, y) (0, 0)
[drm:drm_crtc_helper_set_config] modes are different
[drm:drm_mode_debug_printmodeline] Modeline 0:"" 0 0 0 0 0 0 0 0 0 0 0x0 0x0
[drm:drm_mode_debug_printmodeline] Modeline 13:"1680x1050" 60107 122000 1680 1712 1776 1904 1050 1051 1054 1066 0x48 0xa
[drm:drm_crtc_helper_set_config] attempting to set mode from userspace
[drm:drm_mode_debug_printmodeline] Modeline 13:"1680x1050" 60107 122000 1680 1712 1776 1904 1050 1051 1054 1066 0x48 0xa
[drm:radeon_legacy_lvds_dpms] 
[drm:radeon_crtc_dpms] 
[drm:radeon_crtc_mode_set] 
[drm:radeon_set_crtc1_base] 
[drm:radeon_set_crtc1_base] mc_fb_location: 0xc8000000
[drm:radeon_set_crtc1_timing] 
[drm:radeon_set_pll1] 
[drm] LVDS-11: set mode 1680x1050 d
[drm:radeon_legacy_lvds_mode_set] 
[drm:radeon_legacy_rmx_mode_set] 
[drm:radeon_crtc_dpms] 
[drm:radeon_legacy_lvds_dpms] 
[drm:radeon_legacy_primary_dac_dpms] 
[drm:radeon_legacy_primary_dac_dpms] 
[drm:radeon_legacy_primary_dac_dpms] 
[drm:radeon_legacy_primary_dac_dpms] 
[drm:radeon_legacy_tmds_int_dpms] 
[drm:radeon_crtc_dpms] 
fb0: radeondrmfb frame buffer device
registered panic notifier
[drm:radeon_legacy_primary_dac_dpms] 
[drm:radeon_legacy_primary_dac_dpms] 
[drm:radeon_legacy_primary_dac_dpms] 
[drm:radeon_legacy_primary_dac_dpms] 
[drm:radeon_legacy_tmds_int_dpms] 
[drm:radeon_crtc_dpms] 
[drm:drm_sysfs_hotplug_event] generating hotplug event
[drm:radeon_cp_load_microcode] 
[drm] Loading R300 Microcode
[drm:radeon_modeset_cp_init] ring offset is 0 100000
[drm:radeon_do_engine_reset] 
[drm] Num pipes: 1
[drm:radeon_do_cp_reset] 
[drm] writeback test succeeded in 1 usecs
[drm:radeon_do_cp_start] 
[drm:drm_irq_install] irq=16
[drm] Initialized radeon 1.29.0 20080528 on minor 0
Comment 5 Josh Boyer 2008-09-05 08:55:26 EDT
Still doom with -305:

[jwboyer@vader ~]$ uname -a
Linux vader.jdub.homelinux.org 2.6.27-0.305.rc5.git6.fc10.i686 #1 SMP Thu Sep 4 21:54:39 EDT 2008 i686 i686 i386 GNU/Linux

dmesg of steps from comment #4:

[drm] Initialized drm 1.1.0 20060810
[drm:drm_init] 
[drm:drm_get_dev] 
pci 0000:01:00.0: setting latency timer to 64
[drm:drm_get_minor] 
[drm:drm_get_minor] new minor assigned 64
[drm:drm_get_minor] 
[drm:drm_get_minor] new minor assigned 0
[drm:radeon_driver_load] PCIE card detected
[drm:drm_addmap_core] offset = 0xb0100000, size = 0x00010000, type = 1
[drm:radeon_get_bios] COMBIOS detected
[drm:radeon_get_vram_type] RAM width 128 bits DDR
[drm:radeon_set_dynamic_clock] Dynamic Clock Scaling Enabled
[drm] Detected VRAM RAM=131072K, accessible=131072K, BAR=131072K
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000004010031, Old flags 0x00000000010100a0
[drm:radeon_gart_init] pcie table bo created f26a9a40, 10000
[drm:radeon_set_pciegart] programming pcie D0000000 C8010000 02000000
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010031, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010033, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:radeon_alloc_gart_objects] Ring ptr f26a8230 mapped at 0 f8cf1000, read ptr f26a9180 maped at 1048576 f8849000
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010021, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000002010033, Old flags 0x00000000010100a0
[drm:ati_pcigart_bind_ttm] 
[drm:radeon_gem_dma_bufs_init] 
[drm:radeon_gem_addbufs] count:      16
[drm:radeon_gem_addbufs] order:      16
[drm:radeon_gem_addbufs] size:       65536
[drm:radeon_gem_addbufs] agp_offset: 2101248
[drm:radeon_gem_addbufs] alignment:  65536
[drm:radeon_gem_addbufs] page_order: 4
[drm:radeon_gem_addbufs] total:      65536
[drm:radeon_gem_addbufs] buffer 0 @ 00201000
[drm:radeon_gem_addbufs] buffer 1 @ 00211000
[drm:radeon_gem_addbufs] buffer 2 @ 00221000
[drm:radeon_gem_addbufs] buffer 3 @ 00231000
[drm:radeon_gem_addbufs] buffer 4 @ 00241000
[drm:radeon_gem_addbufs] buffer 5 @ 00251000
[drm:radeon_gem_addbufs] buffer 6 @ 00261000
[drm:radeon_gem_addbufs] buffer 7 @ 00271000
[drm:radeon_gem_addbufs] buffer 8 @ 00281000
[drm:radeon_gem_addbufs] buffer 9 @ 00291000
[drm:radeon_gem_addbufs] buffer 10 @ 002a1000
[drm:radeon_gem_addbufs] buffer 11 @ 002b1000
[drm:radeon_gem_addbufs] buffer 12 @ 002c1000
[drm:radeon_gem_addbufs] buffer 13 @ 002d1000
[drm:radeon_gem_addbufs] buffer 14 @ 002e1000
[drm:radeon_gem_addbufs] buffer 15 @ 002f1000
[drm:radeon_gem_addbufs] byte_count: 1048576
[drm:radeon_gem_addbufs] dma->buf_count : 16
[drm:radeon_gem_addbufs] entry->buf_count : 16
[drm:radeon_gem_dma_bufs_init] 100000 1048576
[drm:radeon_get_legacy_connector_info_from_bios] 
[drm:radeon_get_legacy_connector_info_from_bios] LCD DDC Info Table found!
[drm:radeon_get_legacy_connector_info_from_bios] BIOS Connector table
[drm:radeon_get_legacy_connector_info_from_bios] Port 0: ddc_type 0x60, dac_type 1, tmds_type 1, connector type 1, hpd_mask 0
[drm:radeon_get_legacy_connector_info_from_bios] Port 1: ddc_type 0x64, dac_type 1, tmds_type 1, connector type 2, hpd_mask 0
[drm:radeon_get_legacy_connector_info_from_bios] Port 4: ddc_type 0x1b0, dac_type 0, tmds_type 0, connector type 7, hpd_mask 0
[drm:radeon_get_legacy_connector_info_from_bios] Port 5: ddc_type 0x0, dac_type 2, tmds_type 0, connector type 14, hpd_mask 0
[drm:drm_sysfs_connector_add] adding "VGA-1" to sysfs
[drm:drm_sysfs_hotplug_event] generating hotplug event
[drm:radeon_encoder_legacy_primary_dac_add] 
[drm:drm_sysfs_connector_add] adding "DVI-I-1" to sysfs
[drm:drm_sysfs_hotplug_event] generating hotplug event
[drm:radeon_encoder_legacy_primary_dac_add] 
[drm:radeon_encoder_legacy_tmds_int_add] 
[drm] DFP table revision: 4
[drm:drm_sysfs_connector_add] adding "LVDS-1" to sysfs
[drm:drm_sysfs_hotplug_event] generating hotplug event
[drm:radeon_encoder_legacy_lvds_add] 
[drm] Panel ID String: IBM                     
[drm] Panel Size 1680x1050
i2c-adapter i2c-1: unable to read EDID block.
pci 0000:01:00.0: VGA-1: no EDID data
i2c-adapter i2c-2: unable to read EDID block.
pci 0000:01:00.0: DVI-I-1: no EDID data
[drm:drm_helper_plugged_event] 
[drm:drm_helper_probe_single_connector_modes] VGA-1
i2c-adapter i2c-1: unable to read EDID block.
pci 0000:01:00.0: VGA-1: no EDID data
[drm:drm_helper_probe_single_connector_modes] VGA-1 is disconnected
[drm:drm_helper_probe_single_connector_modes] DVI-I-1
i2c-adapter i2c-2: unable to read EDID block.
pci 0000:01:00.0: DVI-I-1: no EDID data
[drm:drm_helper_probe_single_connector_modes] DVI-I-1 is disconnected
[drm:drm_helper_probe_single_connector_modes] LVDS-1
[drm:drm_helper_probe_single_connector_modes] Probed modes for LVDS-1
[drm:drm_mode_debug_printmodeline] Modeline 13:"1680x1050" 60107 122000 1680 1712 1776 1904 1050 1051 1054 1066 0x48 0xa
[drm:drm_mode_debug_printmodeline] Modeline 14:"1680x1050" 50091 101670 1680 1712 1776 1904 1050 1051 1054 1066 0x40 0xa
[drm:radeonfb_probe] 
[drm:radeonfb_single_fb_probe] 
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000004010027, Old flags 0x00000000010100a0
[drm:radeon_gem_object_alloc] f4c5dc70 : size 0x6bb000, alignment 1, initial_domain 4
[drm:drm_bo_prepare_for_validate] Proposed flags 0x0000000004010027, Old flags 0x0000000004010027
[drm:radeonfb_create] fb depth is 24
[drm:radeonfb_create]    pitch is 6720
allocated f668b090 1680x1050 fb: 0x00018000, bo f27cf5b0
fbcon: radeondrmfb (fb0) is primary device
[drm:radeonfb_set_par] 1680 -1
Console: switching to colour frame buffer device 210x65
[drm:drm_crtc_helper_set_config] 
[drm:drm_crtc_helper_set_config] crtc: eda9ea70 3 fb: eda10690 connectors: eda9eeb0 num_connectors: 1 (x, y) (0, 0)
[drm:drm_crtc_helper_set_config] modes are different
[drm:drm_mode_debug_printmodeline] Modeline 0:"" 0 0 0 0 0 0 0 0 0 0 0x0 0x0
[drm:drm_mode_debug_printmodeline] Modeline 13:"1680x1050" 60107 122000 1680 1712 1776 1904 1050 1051 1054 1066 0x48 0xa
[drm:drm_crtc_helper_set_config] attempting to set mode from userspace
[drm:drm_mode_debug_printmodeline] Modeline 13:"1680x1050" 60107 122000 1680 1712 1776 1904 1050 1051 1054 1066 0x48 0xa
[drm:radeon_legacy_lvds_dpms] 
[drm:radeon_crtc_dpms] 
[drm:radeon_crtc_mode_set] 
[drm:radeon_set_crtc1_base] 
[drm:radeon_set_crtc1_base] mc_fb_location: 0xc8000000
[drm:radeon_set_crtc1_timing] 
[drm:radeon_set_pll1] 
[drm] LVDS-11: set mode 1680x1050 d
[drm:radeon_legacy_lvds_mode_set] 
[drm:radeon_legacy_rmx_mode_set] 
[drm:radeon_crtc_dpms] 
[drm:radeon_legacy_lvds_dpms] 
[drm:radeon_legacy_primary_dac_dpms] 
[drm:radeon_legacy_primary_dac_dpms] 
[drm:radeon_legacy_primary_dac_dpms] 
[drm:radeon_legacy_primary_dac_dpms] 
[drm:radeon_legacy_tmds_int_dpms] 
[drm:radeon_crtc_dpms] 
fb0: radeondrmfb frame buffer device
registered panic notifier
[drm:radeon_legacy_primary_dac_dpms] 
[drm:radeon_legacy_primary_dac_dpms] 
[drm:radeon_legacy_primary_dac_dpms] 
[drm:radeon_legacy_primary_dac_dpms] 
[drm:radeon_legacy_tmds_int_dpms] 
[drm:radeon_crtc_dpms] 
[drm:drm_sysfs_hotplug_event] generating hotplug event
[drm:radeon_cp_load_microcode] 
[drm] Loading R300 Microcode
[drm:radeon_modeset_cp_init] ring offset is 0 100000
[drm:radeon_do_engine_reset] 
[drm] Num pipes: 1
[drm:radeon_do_cp_reset] 
[drm] writeback test succeeded in 1 usecs
[drm:radeon_do_cp_start] 
[drm:drm_irq_install] irq=16
[drm] Initialized radeon 1.29.0 20080528 on minor 0
Comment 6 Josh Boyer 2008-09-09 07:27:16 EDT
Created attachment 316174 [details]
Xorg log from boot with nomodeset on 2.6.27-0.305.rc5.git6.fc10.i686
Comment 7 Jeffrey C. Ollie 2008-09-15 16:04:39 EDT
I'm having a similar problem on my laptop, except this is trying to boot using the rawhide boot.iso from 09/13/2008 which doesn't bode well for the F10 beta.

ATI Technologies Inc M24 1P [Radeon Mobility X600]

http://www.smolts.org/client/show/pub_9ad14acf-e32e-4772-94c9-ae8badbdf690
Comment 8 Dave Airlie 2008-09-17 20:42:20 EDT
Okay I've just submitted a build to koji with some more AMD work in it.

Please grab 2.6.27-0.332.rc6.git5.fc10 when it finished directly from koji.

Rawhide is frozen so it won't come via the normal channels.
Comment 9 Jeffrey C. Ollie 2008-09-18 07:53:24 EDT
2.6.27-0.332.rc6.git5.fc10 did not solve my problem...
Comment 10 Josh Boyer 2008-09-18 14:29:32 EDT
(In reply to comment #9)
> 2.6.27-0.332.rc6.git5.fc10 did not solve my problem...

Nor mine.  Same results.  If there is debug data that would help, let me know and I can collect it.
Comment 11 Jeffrey C. Ollie 2008-09-18 23:40:50 EDT
Saw that kernel-2.6.27-0.336.rc6.git5.fc10.i686 was in Koji so I gave it a shot and it hasn't fixed my problem with the screen going black during the kernel bootup.
Comment 12 Jeffrey C. Ollie 2008-09-19 22:04:10 EDT
kernel-2.6.27-0.337.rc6.git5.fc10.i686 and I get some progress.  With this kernel I can get booted up and logged into X with modesetting turned on, but I get corruption in X and X locked up shortly after.
Comment 13 Josh Boyer 2008-09-23 10:10:50 EDT
I tried kernel-2.6.27-0.347.rc7.git1.fc10.i686 and this booted successfully without nomodeset on the command line.  Switching around from X to VTs works as well.

I don't get anything that looks like plymouth output, but that is probably because I have my kernel command line settings messed up.
Comment 14 Josh Boyer 2008-09-23 13:45:31 EDT
OK, added 'rhgb quiet' back on the kernel command line and now I get the plymouth shininess too.

It's not exactly correct though.  Once I'm logged into X, if I do an 'xwininfo' and click on the desktop, it reports the geometry as:

Width: 1680
Height: 1680
Depth: 24

The display can only do 1680x1050 as far as I know.
Comment 15 Mads Kiilerich 2008-10-06 05:47:54 EDT
After comment #12 then this could be the same as bug 465760
Comment 16 Josh Boyer 2008-10-14 09:10:06 EDT
This seems to have been fixed for the past few kernels and xorg ati driver revisions.  Closing.

(As a side note, my test laptop died so I can't test this specific combination any longer.)

Note You need to log in before you can comment on or make changes to this bug.